
import sys, java
lineSeparator = java.lang.System.getProperty('line.separator')
agentEndpointName = "XDAGENT_PORT"
startingAgentPort = 7061

#
# Stolen from some other random augmentation script, this makes a list from
# the sort of thing that AdminConfig.list() and so on return.
#
def convertToList(inlist):
     outlist=[]
     if (len(inlist)>0 and inlist[0]=='[' and inlist[len(inlist)-1]==']'):
        inlist = inlist[1:len(inlist)-1]
        clist = inlist.split(" ")
     else:
        clist = inlist.split(lineSeparator)
     for elem in clist:
        elem=elem.rstrip();
        if (len(elem)>0):
           outlist.append(elem)
     return outlist

#
# Returns a list of ports that are listed in any named endpoint on the given node.
#
def findUsedPorts(node):
  usedPorts = []
  hostPorts = []
  match = ""
  serverEntries = convertToList(AdminConfig.list("ServerEntry",node))
  serverIndexes = convertToList(AdminConfig.list("ServerIndex",node))
  for serverIndex in serverIndexes:
	hostName = AdminConfig.showAttribute(serverIndex,"hostName")
  print "Processing host ",hostName," to find used ports"
  for usedPorts in portsByHosts:
		if (usedPorts[0]==hostName):
			print "Host processed before:",hostName
			match = "1"
			hostPorts = usedPorts
  if (match!="1"):
     print "Host not processed before: ",hostName
     hostPorts.append(hostName)	
  for serverEntry in serverEntries:
    namedEndPoints = convertToList(AdminConfig.list("NamedEndPoint",serverEntry))
    for namedEndPoint in namedEndPoints:
      endPointName = AdminConfig.showAttribute(namedEndPoint,"endPointName")
      endPoint = AdminConfig.showAttribute(namedEndPoint,"endPoint")
      host = AdminConfig.showAttribute(endPoint,"host")
      port = AdminConfig.showAttribute(endPoint,"port")
      hostPorts.append(port)
  print "Used ports by host:",hostPorts
  if (match!="1"):
     portsByHosts.append(hostPorts)
  return usedPorts

#
# Returns the NamedEndPoint with the given endPointName from the given ServerEntry,
# or "" if there isn't one
#
def getNamedEndPoint(serverEntry,name):
  neps = convertToList(AdminConfig.list("NamedEndPoint",serverEntry))
  for nep in neps:
    nepname = AdminConfig.showAttribute(nep,"endPointName")
    if (nepname==name):
      return nep
  return ""

#
# Adds named endpoints for each of the given names, with host set to hostName
# and port set to the first otherwise-unused port (based on the usedPorts
# list) >=startScan, to the given server entry
#
def addEndPointsToServerEntry(node,serverEntry,names,startScan,usedPorts):
  tryPort = startScan
  serverName = AdminConfig.showAttribute(serverEntry,"serverName")
  for name in names:
    existingNep = getNamedEndPoint(serverEntry,name)
    if (existingNep!=""):
      print "Endpoint",name,"already exists on",serverName
      continue
    attrs = []
    nameAttr = ["endPointName", name]
    attrs.append(nameAttr)
    nepid = AdminConfig.create("NamedEndPoint",serverEntry,attrs)
    attrs = []
    hostName = usedPorts[0]
    hostAttr = ["host", hostName]
    while tryPort.toString() in usedPorts[1:]:
      tryPort = tryPort + 1
    usedPorts.append(tryPort.toString())
    portAttr = ["port", tryPort]
    attrs.append(hostAttr)
    attrs.append(portAttr)
    try:
      epid = AdminConfig.create("EndPoint", nepid, attrs)
    except:
      print "Exception creating " + name + " on " + serverName
      continue
    print "Created endpoint",name,"on port",tryPort,"on",serverName

#
# On the given node, adds named endpoints for each of the given names, with host
# set to hostName and port set to the first otherwise-unused port on the node >=startScan,
# to every server entry (dmgrs first, then nodeagents, then others).  Server entries
# for non-dmgr, non-nodeagent servers are only done if "doOthers" is set to 1.
#
def addEndpoints(node,names,startScan,usedPorts,doOthers):
  serverEntries = convertToList(AdminConfig.list("ServerEntry",node))
  dmgrs = []
  nodeagents = []
  others = []
  usedPorts = []
  hostPorts = []
  serverIndexes = convertToList(AdminConfig.list("ServerIndex",node))
  for serverIndex in serverIndexes:
	hostName = AdminConfig.showAttribute(serverIndex,"hostName")
  for usedPorts in portsByHosts:
	 if (usedPorts[0]==hostName):		 		
		 hostPorts = usedPorts
		 print "Used ports being passed:",hostPorts
		 match="1"
  if (match!="1"):
     print "ERROR: Unable to get ports by host name : "
  for serverEntry in serverEntries:
    serverType = AdminConfig.showAttribute(serverEntry,"serverType")
    if (serverType=="DEPLOYMENT_MANAGER"):
	    dmgrs.append(serverEntry)
    elif (serverType=="NODE_AGENT"):
      nodeagents.append(serverEntry)
    elif (serverType=="XDAGENT"):
      others.append(serverEntry)
  for serverEntry in dmgrs:
    addEndPointsToServerEntry(node,serverEntry,names,startScan,hostPorts)
  for serverEntry in nodeagents:
    startScan = startScan + 1
    addEndPointsToServerEntry(node,serverEntry,names,startScan,hostPorts)
  if (doOthers==1):
    for serverEntry in others:
      addEndPointsToServerEntry(node,serverEntry,names,startScan,hostPorts)

def readAgentPortFromFile(fileName, startingAgentPort):
  agentEndpointValue = None
  try:
    file = open(fileName)
    while 1:
      line = file.readline()
      if not line:
        break
      else:
        idx1 = -1
        try:
          idx1 = line.index(agentEndpointName)
        except ValueError:
          idx1 = -1 
          
        if (idx1 >= 0):
          idx2 = -1
          try:
            idx2 = line.index("=")
          except ValueError:
            idx2 = -1                    
          if (idx2 >= 0):
            value = line[idx2+1:len(line)-1]
            print "Read " + value + " from the ports file for " + agentEndpointName
            agentEndpointValue = value.strip()   
        if (agentEndpointValue != None):
          break
  except IOError:
    print "Error occurred while reading agent port from the file: " + fileName 
        
  if (agentEndpointValue != None):
    print "Using " + agentEndpointValue + " as XDAGENT port" 
    startingAgentPort = int(agentEndpointValue)
  
  return startingAgentPort

#
# Main routine
#
useDefaultPorts=1
portsFile = None

# read the input parameters
if (len(sys.argv)>0):
  for arg in sys.argv:
    if (arg.startswith('-portsFile:')):
      parts = arg.split(":")   
      parts[1] = parts[1].strip()
      if (parts[1] == "" or parts[1].startswith("${")):
        print "-portsFile parameter is not specified...ignoring it"
      else:
        portsFile = parts[1]
        useDefaultPorts = 0
    elif (arg.startswith('-startingPort')):
      parts = arg.split(":")
      parts[1] = parts[1].strip()
      if (parts[1] == "" or parts[1].startswith("${")):
        print "-startingPort parameter is not specified...ignoring it"
      else:
        try:
          startingAgentPort = int(parts[1]) + 1001
          useDefaultPorts = 0
        except ValueError:
          print "value error while converting starting port to an integer"
        
# read agent port from the file if the ports file is specified
if (portsFile != None):
  startingAgentPort = readAgentPortFromFile(portsFile,startingAgentPort)
    
# Add the endpoints to every relevant server entry on every node
#  [[host,port1,port2,port3][host2,port6,port7]]
portsByHosts=[]
truststore="CellDefaultTrustStore"
keystore="CellDefaultKeyStore"
nodes = convertToList(AdminConfig.list("Node"))
print "-----------------------"
for node in nodes:
  print "Processing node:",node
  usedPorts = findUsedPorts(node)
  nodeName = AdminConfig.showAttribute(node,"name")
  addEndpoints(node,[agentEndpointName],startingAgentPort,usedPorts,0)
  print "-----------------------"

try:
   print "Adding  XDADefaultSSLSettings at cell scope:"
   AdminTask.createSSLConfig(["-alias","XDADefaultSSLSettings","-clientAuthentication","true","-clientAuthenticationSupported","true","-trustStoreName",truststore,"-keyStoreName",keystore])
except java.lang.Exception, e:
   print "Error adding XDADefaultSSLSettings: it may be duplicate or we may be augmenting non federated node"
   print e

AdminConfig.save();
