
import sys, java
lineSeparator = java.lang.System.getProperty('line.separator')

overlayUDPEndpointName = "OVERLAY_UDP_LISTENER_ADDRESS"
overlayTCPEndpointName = "OVERLAY_TCP_LISTENER_ADDRESS"
startingOverlayUDPPort = 11001
startingOverlayTCPPort = 11002

#
# Stolen from some other random augmentation script, this makes a list from
# the sort of thing that AdminConfig.list() and so on return.
#
def convertToList(inlist):
     outlist=[]
     if (len(inlist)>0 and inlist[0]=='[' and inlist[len(inlist)-1]==']'):
        inlist = inlist[1:len(inlist)-1]
        clist = inlist.split(" ")
     else:
        clist = inlist.split(lineSeparator)
     for elem in clist:
        elem=elem.rstrip();
        if (len(elem)>0):
           outlist.append(elem)
     return outlist

#
# Returns a list of ports that are listed in any named endpoint on the given node.
#
def findUsedPorts(node):
  usedPorts = []
  hostPorts = []
  match = ""
  
  serverIndexes = convertToList(AdminConfig.list("ServerIndex",node))
  for serverIndex in serverIndexes:
    hostName = AdminConfig.showAttribute(serverIndex,"hostName")
  print "Processing host:",hostName
  print "Ports by host:",portsByHosts
  for usedPorts in portsByHosts:
		if (usedPorts[0]==hostName):
			print "Host processed before:",hostName
			match = "1"
			hostPorts = usedPorts
  if (match!="1"):
     print "Host not processed before: ",hostName
     hostPorts.append(hostName)	
  
  serverEntries = convertToList(AdminConfig.list("ServerEntry",node))
  for serverEntry in serverEntries:
    namedEndPoints = convertToList(AdminConfig.list("NamedEndPoint",serverEntry))
    for namedEndPoint in namedEndPoints:
      endPointName = AdminConfig.showAttribute(namedEndPoint,"endPointName")
      endPoint = AdminConfig.showAttribute(namedEndPoint,"endPoint")
      host = AdminConfig.showAttribute(endPoint,"host")
      port = AdminConfig.showAttribute(endPoint,"port")
      hostPorts.append(port)
  print "Ports by host:",hostPorts
  if (match!="1"):
     portsByHosts.append(hostPorts)
  return usedPorts

#
# Returns the NamedEndPoint with the given endPointName from the given ServerEntry,
# or "" if there isn't one
#
def getNamedEndPoint(serverEntry,name):
  neps = convertToList(AdminConfig.list("NamedEndPoint",serverEntry))
  for nep in neps:
    nepname = AdminConfig.showAttribute(nep,"endPointName")
    if (nepname==name):
      return nep
  return ""

#
# Adds named endpoints for each of the given names, with host set to hostname
# and port set to the first otherwise-unused port (based on the usedPorts
# list) >=startScan, to the given server entry
#
def addEndPointsToServerEntry(node,serverEntry,names,ports,usedPorts):
  #tryPort = startScan
  serverName = AdminConfig.showAttribute(serverEntry,"serverName")
  idx = 0
  for name in names:
    tryPort = ports[idx]
    idx = idx + 1
    existingNep = getNamedEndPoint(serverEntry,name)
    if (existingNep!=""):
      print "Endpoint",name,"already exists on",serverName
      continue
    attrs = []
    nameAttr = ["endPointName", name]
    attrs.append(nameAttr)
    nepid = AdminConfig.create("NamedEndPoint",serverEntry,attrs)
    attrs = []
    hostName = usedPorts[0]
    hostAttr = ["host", hostName]
    while tryPort.toString() in usedPorts[1:]:
      tryPort = tryPort + 2
    usedPorts.append(tryPort.toString())
    portAttr = ["port", tryPort]
    attrs.append(hostAttr)
    attrs.append(portAttr)
    try:
      epid = AdminConfig.create("EndPoint", nepid, attrs)
    except:
      print "Exception creating " + name + " on " + serverName
      continue
    print "Created endpoint",name,"on port",tryPort,"on",serverName

#
# On the given node, adds named endpoints for each of the given names, with host
# set to hostName and port set to the first otherwise-unused port on the node >=startScan,
# to every server entry (dmgrs first, then nodeagents, then others).  Server entries
# for non-dmgr, non-nodeagent servers are only done if "doOthers" is set to 1.
#
def addEndpoints(node,names,ports,usedPorts,doOthers):
  serverEntries = convertToList(AdminConfig.list("ServerEntry",node))
  dmgrs = []
  nodeagents = []
  others = []
  usedPorts = []
  hostPorts = []
  serverIndexes = convertToList(AdminConfig.list("ServerIndex",node))
  for serverIndex in serverIndexes:
   hostName = AdminConfig.showAttribute(serverIndex,"hostName")
  for usedPorts in portsByHosts:
	 if (usedPorts[0]==hostName):		 		
		 hostPorts = usedPorts
		 print "Ports being passed:",hostPorts
		 match="1"
  if (match!="1"):
     print "ERROR: Unable to get ports by host name : "
  for serverEntry in serverEntries:
    serverType = AdminConfig.showAttribute(serverEntry,"serverType")
    if (serverType=="DEPLOYMENT_MANAGER"):
      dmgrs.append(serverEntry)
    elif (serverType=="NODE_AGENT"):
      nodeagents.append(serverEntry)
    elif (serverType=="XDAGENT" or serverType=="APPLICATION_SERVER" or serverType=="ONDEMAND_ROUTER"):
      others.append(serverEntry)
  for serverEntry in dmgrs:
    addEndPointsToServerEntry(node,serverEntry,names,ports,hostPorts)
  for serverEntry in nodeagents:
    addEndPointsToServerEntry(node,serverEntry,names,ports,hostPorts)
  if (doOthers==1):
    for serverEntry in others:
      addEndPointsToServerEntry(node,serverEntry,names,ports,hostPorts)

def createEndPoint(serverTemplate, endPointName, endPointHost, endPointPort):
    print "Creating new End Point"
    attrs = []
    namedEndpointAttrs = ["endPointName", endPointName]
    attrs.append(namedEndpointAttrs)
    namedEndPoint = AdminConfig.create("NamedEndPoint", serverTemplate, attrs)
    attrs = []
    hostAttr = ["host", endPointHost]
    portAttr = ["port", endPointPort]
    attrs.append(hostAttr)
    attrs.append(portAttr)
    try:
       newEndPoint = AdminConfig.create("EndPoint", namedEndPoint, attrs)
       print "Successfully created new end point"
    except:
       print "Exception while creating new end point"

#
# Reads overlay ports from the specified ports file
#
def readPortsFromFile(fileName, ports):
  overlayTCPEndpointValue = None
  overlayUDPEndpointValue = None
  
  try:
    file = open(fileName)
    while 1:
      line = file.readline()
      if not line:
        break
      else:
        idx1 = -1
        idx3 = -1
        try:
          idx1 = line.index(overlayTCPEndpointName)
        except ValueError:
          idx1 = -1 
        try:
          idx3 = line.index(overlayUDPEndpointName)
        except ValueError:
          idx3 = -1 
          
        if (idx1 >= 0):
          idx2 = -1
          try:
            idx2 = line.index("=")
          except ValueError:
            idx2 = -1      
          if (idx2 >= 0):
            value = line[idx2+1:len(line)-1]
            print "Read " + value + " from the ports file for " + overlayTCPEndpointName
            overlayTCPEndpointValue = value.strip() 
        
        if (idx3 >= 0):
          idx4 = -1
          try:
            idx4 = line.index("=")
          except ValueError:
            idx4 = -1   
          if (idx4 >= 0):
            value = line[idx4+1:len(line)-1]
            print "Read " + value + " from the ports file for " + overlayUDPEndpointName
            overlayUDPEndpointValue = value.strip()
        if (overlayTCPEndpointValue != None and overlayUDPEndpointValue != None):
          break
  except IOError:
    print "Error occurred while reading overlay port from the file: " + fileName 
        
  if (overlayUDPEndpointValue  != None):
    print "Using " + overlayUDPEndpointValue + " as overlay UDP port" 
    ports[0] = int(overlayUDPEndpointValue)
  if (overlayTCPEndpointValue != None):
    print "Using " + overlayTCPEndpointValue + " as overlay TCP port" 
    ports[1] = int(overlayTCPEndpointValue)
  
     
#
# Main routine
#
useDefaultPorts=1
portsFile = None

# read the input parameters
if (len(sys.argv)>0):
  for arg in sys.argv:
    if (arg.startswith('-portsFile:')):
      parts = arg.split(":")
      parts[1] = parts[1].strip()
      if (parts[1] == "" or parts[1].startswith("${")):
        print "-portsFile parameter is not specified...ignoring it"
      else:
        portsFile = parts[1]
        useDefaultPorts = 0
    elif (arg.startswith('-startingPort')):
      parts = arg.split(":")
      parts[1] = parts[1].strip()
      if (parts[1] == "" or parts[1].startswith("${")):
        print "-startingPort parameter is not specified...ignoring it"
      else:
        try:
          startingOverlayUDPPort = int(parts[1]) + 3001
          startingOverlayTCPPort = startingOverlayUDPPort + 1
          useDefaultPorts = 0
        except ValueError:
          print "value error while converting starting port to an integer"

# read OVERLAY ports from the file if the ports file is specified
ports = [startingOverlayUDPPort,startingOverlayTCPPort]
if (portsFile != None):
  readPortsFromFile(portsFile, ports)
  startingOverlayUDPPort = ports[0]
  startingOverlayTCPPort = ports[1]

if (useDefaultPorts == 1):
  print "Using default overlay ports"
          
# Add the endpoints to every relevant server entry on every node
#  [[host,port1,port2,port3][host2,port6,port7]]
portsByHosts=[]
nodes = convertToList(AdminConfig.list("Node"))
print "-----------------------"
for node in nodes:
  print "Processing node:",node
  usedPorts = findUsedPorts(node)
  nodeName = AdminConfig.showAttribute(node,"name")
  print "Adding overlay ports to servers on node",nodeName
  addEndpoints(node,[overlayUDPEndpointName,overlayTCPEndpointName],[startingOverlayUDPPort,startingOverlayTCPPort],usedPorts,1)
  print "-----------------------"

#Add the OVERLAY Ports to templates
print "Adding overlay ports to templates"
setname = ""
serverEntryTemplates = []
foundTCP = 0
foundUDP = 0
hostName = "*"

serverEntryTemplates = convertToList(AdminConfig.listTemplates("ServerEntry"))
for serverEntryTemplate in serverEntryTemplates:
    setname = AdminConfig.showAttribute(serverEntryTemplate,"serverName")
    foundTCP = 0
    foundUDP = 0
    if ((setname == "defaultXD") or (setname == "defaultXDZOS")):
        endpoints = convertToList(AdminConfig.showAttribute(serverEntryTemplate,"specialEndpoints"))
        for endpoint in endpoints:
            epname = AdminConfig.showAttribute(endpoint,"endPointName")
            if (epname == overlayTCPEndpointName):
                foundTCP = 1
                print "found " + epname + " in " + setname
            if (epname == overlayUDPEndpointName):
                foundUDP = 1
                print "found " + epname + " in " + setname

        if (foundTCP == 0):
           print overlayTCPEndpointName + " not found in " + setname
           createEndPoint(serverEntryTemplate, overlayTCPEndpointName, hostName, startingOverlayTCPPort)

        if (foundUDP == 0):
           print overlayUDPEndpointName + " not found in " + setname
           createEndPoint(serverEntryTemplate, overlayUDPEndpointName, hostName, startingOverlayUDPPort)

AdminConfig.save();
