#!/bin/sh
#
# ================================================================
# Licensed Material - Property of IBM
# 5655-P28 Copyright IBM Corp. 2006, 2007
#
# All Rights Reserved.
#
# U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or
# Disclosure restricted by GSA-ADP schedule contract with IBM Corp.
#
# Status = JEJC610                                                 
# ================================================================
#
# This script unlinks
# usage: <name>.sh <install hfs location> <configuration hfs location
#
 
if [ -z $1 ]
then
   echo "Usage Syntax: ${0} <install hfs location> <(Writable) configuration hfs location>"   
   exit 0
fi
 
if [ -z $2 ]
then
   echo "Usage Syntax: ${0} <install hfs location> <(Writable) configuration hfs location>"   
   exit 0
fi
 
InstallRoot=$1
ConfigRoot=$2

if [ ! -d $InstallRoot ]
then
   echo "$InstallRoot is not a valid directory"
   echo "Usage Syntax: ${0} <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi

if [ ! -d $ConfigRoot ]
then
   echo "$ConfigRoot is not a valid directory"
   echo "Usage Syntax: ${0} <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi

if [ ! -w $ConfigRoot ]
then
   echo "$ConfigRoot must be writable"
   echo "Usage Syntax: ${0} <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi

 

AllFilesToUnlink="$ConfigRoot/properties/service/product/WebSphereXDDG
$ConfigRoot/bin/wpfadmin.pty 
$ConfigRoot/installableApps/D_ObjectGridPartitionClusterSample.ear 
$ConfigRoot/installableApps/D_WPFFacadePartitionSample.ear 
$ConfigRoot/installableApps/D_WPFHashBasedPartitionSample.ear 
$ConfigRoot/installableApps/D_WPFHybridBasedPartitionSample.ear 
$ConfigRoot/installableApps/D_WPFKeyBasedPartitionSample.ear 
$ConfigRoot/installableApps/D_WPFMixedPartitionSample.ear 
$ConfigRoot/installableApps/D_WPFPartitionAliasSample.ear 
$ConfigRoot/installableApps/D_WPFPartitionGroupingSample.ear 
$ConfigRoot/installableApps/ObjectGridPartitionClusterSample.ear 
$ConfigRoot/installableApps/WPFFacadePartitionSample.ear 
$ConfigRoot/installableApps/WPFHashBasedPartitionSample.ear 
$ConfigRoot/installableApps/WPFHybridBasedPartitionSample.ear 
$ConfigRoot/installableApps/WPFKeyBasedPartitionSample.ear 
$ConfigRoot/installableApps/WPFMixedPartitionSample.ear 
$ConfigRoot/installableApps/WPFPartitionAliasSample.ear 
$ConfigRoot/installableApps/WPFPartitionGroupingSample.ear 
$ConfigRoot/lib/wpf.jar 
$ConfigRoot/properties/messages/de/com.ibm.ws.wpf.WPFServiceMessages.xml 
$ConfigRoot/properties/messages/en/com.ibm.ws.wpf.WPFServiceMessages.xml 
$ConfigRoot/properties/messages/es/com.ibm.ws.wpf.WPFServiceMessages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.ws.wpf.WPFServiceMessages.xml 
$ConfigRoot/properties/messages/it/com.ibm.ws.wpf.WPFServiceMessages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.ws.wpf.WPFServiceMessages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.ws.wpf.WPFServiceMessages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.ws.wpf.WPFServiceMessages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.ws.wpf.WPFServiceMessages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.ws.wpf.WPFServiceMessages.xml 
$ConfigRoot/properties/version/nif/config.xd/install/99SUpdateOrbProperties.ant 
$ConfigRoot/properties/version/nif/config.xd/uninstall/99SUndoUpdateOrbProperties.ant 
$ConfigRoot/properties/version/wpf.component 
$ConfigRoot/properties/version/admin.config.dg390.component 
$ConfigRoot/lib/castor.jar 
$ConfigRoot/properties/version/prereq.castor.component 
$ConfigRoot/lib/cglib.jar 
$ConfigRoot/properties/version/prereq.cglib.component 
$ConfigRoot/lib/ogsip.jar 
$ConfigRoot/properties/version/objectgrid.sip.component 
$ConfigRoot/lib/sessionobjectgridsip.jar 
$ConfigRoot/properties/version/session.objectgrid.sip.component 
$ConfigRoot/properties/productFilesMD/WXDXSProductFilesMD.xml 
$ConfigRoot/properties/version/install.data.was.unix.unspecified.component 
$ConfigRoot/profileTemplates/og_augment/actionRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/actions/addOGFeature.ant 
$ConfigRoot/profileTemplates/og_augment/actions/addOGOrbInitializers.ant 
$ConfigRoot/profileTemplates/og_augment/actions/addOGOrbInitializers.py 
$ConfigRoot/profileTemplates/og_augment/actions/addOGPMIModules.ant 
$ConfigRoot/profileTemplates/og_augment/actions/addOGPMIModules.py 
$ConfigRoot/profileTemplates/og_augment/actions/collectNodeMetadata.ant 
$ConfigRoot/profileTemplates/og_augment/actions/convertCodepageForProfileBatchFiles.ant 
$ConfigRoot/profileTemplates/og_augment/actions/generateBin.ant 
$ConfigRoot/profileTemplates/og_augment/actions/launchWsAdminListener.ant 
$ConfigRoot/profileTemplates/og_augment/actions/removeNodeMetadata.ant 
$ConfigRoot/profileTemplates/og_augment/actions/removeOGFeature.ant 
$ConfigRoot/profileTemplates/og_augment/actions/removeOGOrbInitializers.ant 
$ConfigRoot/profileTemplates/og_augment/actions/removeOGOrbInitializers.py 
$ConfigRoot/profileTemplates/og_augment/actions/removeOGPMIModules.ant 
$ConfigRoot/profileTemplates/og_augment/actions/removeOGPMIModules.py 
$ConfigRoot/profileTemplates/og_augment/actions/scripts/collectNodeMetadata.bat 
$ConfigRoot/profileTemplates/og_augment/actions/scripts/collectNodeMetadata.sh 
$ConfigRoot/profileTemplates/og_augment/actions/scripts/removeNodeMetadata.bat 
$ConfigRoot/profileTemplates/og_augment/actions/scripts/removeNodeMetadata.sh 
$ConfigRoot/profileTemplates/og_augment/actions/serverStatusValidator.ijc 
$ConfigRoot/profileTemplates/og_augment/actions/stopFederatedNodeAction.ijc 
$ConfigRoot/profileTemplates/og_augment/actions/stopWsAdminListener.ant 
$ConfigRoot/profileTemplates/og_augment/cell/default/actionRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/cell/default/deleteRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/cell/default/templateMetadata.xml 
$ConfigRoot/profileTemplates/og_augment/cell/dmgr/actionRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/cell/dmgr/deleteRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/cell/dmgr/templateMetadata.xml 
$ConfigRoot/profileTemplates/og_augment/cell/templateMetadata.xml 
$ConfigRoot/profileTemplates/og_augment/default/actionRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/default/deleteRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/default/templateMetadata.xml 
$ConfigRoot/profileTemplates/og_augment/deleteRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/dmgr/actionRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/dmgr/deleteRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/dmgr/templateMetadata.xml 
$ConfigRoot/profileTemplates/og_augment/lib/og.augment.jar 
$ConfigRoot/profileTemplates/og_augment/managed/actionRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/managed/deleteRegistry.xml 
$ConfigRoot/profileTemplates/og_augment/managed/templateMetadata.xml 
$ConfigRoot/profileTemplates/og_augment/og.augment 
$ConfigRoot/profileTemplates/og_augment/templateMetadata.xml 
$ConfigRoot/properties/version/nif/config.xd/install/99SUpdateOGOrbProperties.ant 
$ConfigRoot/properties/version/nif/config.xd/install/99SaugmentProfiles.og.ant 
$ConfigRoot/properties/version/nif/config.xd/uninstall/99SUndoUpdateOGOrbProperties.ant 
$ConfigRoot/properties/version/nif/config.xd/uninstall/99SunaugmentProfiles.og.ant 
$ConfigRoot/properties/version/og.profile.augment.component 
$ConfigRoot/bin/ProfileManagement/plugins/com.ibm.ws.pmt.xd.dg_6.1.0/plugin.properties 
$ConfigRoot/bin/ProfileManagement/plugins/com.ibm.ws.pmt.xd.dg_6.1.0/plugin.v7.xml 
$ConfigRoot/bin/ProfileManagement/plugins/com.ibm.ws.pmt.xd.dg_6.1.0/plugin.xml 
$ConfigRoot/bin/ProfileManagement/plugins/com.ibm.ws.pmt.xd.dg_6.1.0/xd_dg/templateMetadata.xml 
$ConfigRoot/bin/ProfileManagement/plugins/com.ibm.ws.pmt.xd.dg_6.1.0/xd_pmt.jar 
$ConfigRoot/properties/version/pmt.xd.data.component 
$ConfigRoot/lib/sessionobjectgrid.jar 
$ConfigRoot/optionalLibraries/ObjectGrid/session/bin/addObjectGridFilter.bat 
$ConfigRoot/optionalLibraries/ObjectGrid/session/bin/addObjectGridFilter.sh 
$ConfigRoot/optionalLibraries/ObjectGrid/session/bin/addObjectGridServlets.bat 
$ConfigRoot/optionalLibraries/ObjectGrid/session/bin/addObjectGridServlets.sh 
$ConfigRoot/optionalLibraries/ObjectGrid/session/lib/splicer.jar 
$ConfigRoot/optionalLibraries/ObjectGrid/session/samples/build.xml 
$ConfigRoot/optionalLibraries/ObjectGrid/session/samples/objectGrid.xml 
$ConfigRoot/optionalLibraries/ObjectGrid/session/samples/objectGridCluster.xml 
$ConfigRoot/optionalLibraries/ObjectGrid/session/samples/objectGridDeployment.xml 
$ConfigRoot/optionalLibraries/ObjectGrid/session/samples/objectGridDeploymentStandAlone.xml 
$ConfigRoot/optionalLibraries/ObjectGrid/session/samples/objectGridStandAlone.xml 
$ConfigRoot/optionalLibraries/ObjectGrid/session/samples/objectgrid.cluster.xml 
$ConfigRoot/optionalLibraries/ObjectGrid/session/samples/objectgrid.maps.xml 
$ConfigRoot/optionalLibraries/ObjectGrid/session/samples/splicer.properties 
$ConfigRoot/properties/messages/de/com.ibm.ws.session.filter.splicer.SplicerMessages.xml 
$ConfigRoot/properties/messages/en/com.ibm.ws.session.filter.splicer.SplicerMessages.xml 
$ConfigRoot/properties/messages/es/com.ibm.ws.session.filter.splicer.SplicerMessages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.ws.session.filter.splicer.SplicerMessages.xml 
$ConfigRoot/properties/messages/it/com.ibm.ws.session.filter.splicer.SplicerMessages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.ws.session.filter.splicer.SplicerMessages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.ws.session.filter.splicer.SplicerMessages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.ws.session.filter.splicer.SplicerMessages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.ws.session.filter.splicer.SplicerMessages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.ws.session.filter.splicer.SplicerMessages.xml 
$ConfigRoot/properties/version/session.objectgrid.component 
$ConfigRoot/properties/version/nif/componentmaps.xd/componentmap.xd.data.xml 
$ConfigRoot/installableApps/D_ProxyDSAccountSample.ear 
$ConfigRoot/installableApps/ProxyDSAccountSample.ear 
$ConfigRoot/lib/proxyds.jar 
$ConfigRoot/properties/messages/de/com.ibm.ws.proxyds.resources.wpfproxyds.xml 
$ConfigRoot/properties/messages/en/com.ibm.ws.proxyds.resources.wpfproxyds.xml 
$ConfigRoot/properties/messages/es/com.ibm.ws.proxyds.resources.wpfproxyds.xml 
$ConfigRoot/properties/messages/fr/com.ibm.ws.proxyds.resources.wpfproxyds.xml 
$ConfigRoot/properties/messages/it/com.ibm.ws.proxyds.resources.wpfproxyds.xml 
$ConfigRoot/properties/messages/ja/com.ibm.ws.proxyds.resources.wpfproxyds.xml 
$ConfigRoot/properties/messages/ko/com.ibm.ws.proxyds.resources.wpfproxyds.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.ws.proxyds.resources.wpfproxyds.xml 
$ConfigRoot/properties/messages/zh/com.ibm.ws.proxyds.resources.wpfproxyds.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.ws.proxyds.resources.wpfproxyds.xml 
$ConfigRoot/properties/version/wpf.proxyds.component 
$ConfigRoot/bin/wpfStubUtil.sh 
$ConfigRoot/bin/wpfadmin.sh 
$ConfigRoot/properties/version/wpf.unix.unspecified.component 
$ConfigRoot/properties/version/admin.config.dg390.postinstall.component 
$ConfigRoot/properties/version/install.data.primary.component 
$ConfigRoot/bin/edxaugment.sh 
$ConfigRoot/bin/edxfinal.sh 
$ConfigRoot/bin/edxsync.sh 
$ConfigRoot/properties/version/admin.config.dg390.zos.unspecified.component 
$ConfigRoot/properties/version/nif/componentmaps.xd/componentmap.xd.data.was.xml 
$ConfigRoot/properties/productFilesMD/WXDOGProductFilesMD.xml 
$ConfigRoot/properties/version/install.objectgrid.was.unix.unspecified.component 
$ConfigRoot/installableApps/ObjectGridJMSDistributedGridSample.ear 
$ConfigRoot/installableApps/ObjectGridJMSSimpleSample.ear 
$ConfigRoot/installableApps/ObjectGridSample.ear 
$ConfigRoot/optionalLibraries/ObjectGrid/doc/SamplesGuide.htm 
$ConfigRoot/optionalLibraries/ObjectGrid/doc/images/eclipse_debug_01.gif 
$ConfigRoot/optionalLibraries/ObjectGrid/doc/images/eclipse_debug_02.gif 
$ConfigRoot/optionalLibraries/ObjectGrid/objectgridSamples.jar 
$ConfigRoot/optionalLibraries/ObjectGrid/properties/containerServer.properties 
$ConfigRoot/optionalLibraries/ObjectGrid/properties/security.ogclient.props 
$ConfigRoot/optionalLibraries/ObjectGrid/properties/security.ogserver.props 
$ConfigRoot/optionalLibraries/ObjectGrid/xsadmin.jar 
$ConfigRoot/properties/version/objectgrid.sample.component 
$ConfigRoot/bin/edxwpost.sh 
$ConfigRoot/properties/version/admin.config.dg390.postinstall.zos.unspecified.component 
$ConfigRoot/lib/ogagent.jar 
$ConfigRoot/lib/ogstreamquery.jar 
$ConfigRoot/lib/wsobjectgrid.jar 
$ConfigRoot/optionalLibraries/ObjectGrid/ogspring.jar 
$ConfigRoot/properties/messages/de/com.ibm.queryengine.core.QueryMessages.xml 
$ConfigRoot/properties/messages/de/com.ibm.smile.query2mmpl.query2mmpl_messages.xml 
$ConfigRoot/properties/messages/de/com.ibm.smile.services.og.util.plainruntime_services_messages.xml 
$ConfigRoot/properties/messages/de/com.ibm.smile.services.util.smile_services_messages.xml 
$ConfigRoot/properties/messages/de/com.ibm.smile.util.smile_messages.xml 
$ConfigRoot/properties/messages/de/com.ibm.smile2.runtime.objectgrid.util.smile_plainruntime_messages.xml 
$ConfigRoot/properties/messages/de/com.ibm.smile2.util.host_independent_messages.xml 
$ConfigRoot/properties/messages/de/com.ibm.ws.objectgrid.resources.ObjectGridMessages.xml 
$ConfigRoot/properties/messages/de/com.ibm.ws.projector.bytecode.resources.ProjectorBytecodeMessages.xml 
$ConfigRoot/properties/messages/de/com.ibm.ws.projector.resources.ProjectorMessages.xml 
$ConfigRoot/properties/messages/en/com.ibm.queryengine.core.QueryMessages.xml 
$ConfigRoot/properties/messages/en/com.ibm.smile.query2mmpl.query2mmpl_messages.xml 
$ConfigRoot/properties/messages/en/com.ibm.smile.services.og.util.plainruntime_services_messages.xml 
$ConfigRoot/properties/messages/en/com.ibm.smile.services.util.smile_services_messages.xml 
$ConfigRoot/properties/messages/en/com.ibm.smile.util.smile_messages.xml 
$ConfigRoot/properties/messages/en/com.ibm.smile2.runtime.objectgrid.util.smile_plainruntime_messages.xml 
$ConfigRoot/properties/messages/en/com.ibm.smile2.util.host_independent_messages.xml 
$ConfigRoot/properties/messages/en/com.ibm.ws.objectgrid.resources.ObjectGridMessages.xml 
$ConfigRoot/properties/messages/en/com.ibm.ws.projector.bytecode.resources.ProjectorBytecodeMessages.xml 
$ConfigRoot/properties/messages/en/com.ibm.ws.projector.resources.ProjectorMessages.xml 
$ConfigRoot/properties/messages/es/com.ibm.queryengine.core.QueryMessages.xml 
$ConfigRoot/properties/messages/es/com.ibm.smile.query2mmpl.query2mmpl_messages.xml 
$ConfigRoot/properties/messages/es/com.ibm.smile.services.og.util.plainruntime_services_messages.xml 
$ConfigRoot/properties/messages/es/com.ibm.smile.services.util.smile_services_messages.xml 
$ConfigRoot/properties/messages/es/com.ibm.smile.util.smile_messages.xml 
$ConfigRoot/properties/messages/es/com.ibm.smile2.runtime.objectgrid.util.smile_plainruntime_messages.xml 
$ConfigRoot/properties/messages/es/com.ibm.smile2.util.host_independent_messages.xml 
$ConfigRoot/properties/messages/es/com.ibm.ws.objectgrid.resources.ObjectGridMessages.xml 
$ConfigRoot/properties/messages/es/com.ibm.ws.projector.bytecode.resources.ProjectorBytecodeMessages.xml 
$ConfigRoot/properties/messages/es/com.ibm.ws.projector.resources.ProjectorMessages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.queryengine.core.QueryMessages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.smile.query2mmpl.query2mmpl_messages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.smile.services.og.util.plainruntime_services_messages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.smile.services.util.smile_services_messages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.smile.util.smile_messages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.smile2.runtime.objectgrid.util.smile_plainruntime_messages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.smile2.util.host_independent_messages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.ws.objectgrid.resources.ObjectGridMessages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.ws.projector.bytecode.resources.ProjectorBytecodeMessages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.ws.projector.resources.ProjectorMessages.xml 
$ConfigRoot/properties/messages/it/com.ibm.queryengine.core.QueryMessages.xml 
$ConfigRoot/properties/messages/it/com.ibm.smile.query2mmpl.query2mmpl_messages.xml 
$ConfigRoot/properties/messages/it/com.ibm.smile.services.og.util.plainruntime_services_messages.xml 
$ConfigRoot/properties/messages/it/com.ibm.smile.services.util.smile_services_messages.xml 
$ConfigRoot/properties/messages/it/com.ibm.smile.util.smile_messages.xml 
$ConfigRoot/properties/messages/it/com.ibm.smile2.runtime.objectgrid.util.smile_plainruntime_messages.xml 
$ConfigRoot/properties/messages/it/com.ibm.smile2.util.host_independent_messages.xml 
$ConfigRoot/properties/messages/it/com.ibm.ws.objectgrid.resources.ObjectGridMessages.xml 
$ConfigRoot/properties/messages/it/com.ibm.ws.projector.bytecode.resources.ProjectorBytecodeMessages.xml 
$ConfigRoot/properties/messages/it/com.ibm.ws.projector.resources.ProjectorMessages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.queryengine.core.QueryMessages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.smile.query2mmpl.query2mmpl_messages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.smile.services.og.util.plainruntime_services_messages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.smile.services.util.smile_services_messages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.smile.util.smile_messages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.smile2.runtime.objectgrid.util.smile_plainruntime_messages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.smile2.util.host_independent_messages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.ws.objectgrid.resources.ObjectGridMessages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.ws.projector.bytecode.resources.ProjectorBytecodeMessages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.ws.projector.resources.ProjectorMessages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.queryengine.core.QueryMessages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.smile.query2mmpl.query2mmpl_messages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.smile.services.og.util.plainruntime_services_messages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.smile.services.util.smile_services_messages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.smile.util.smile_messages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.smile2.runtime.objectgrid.util.smile_plainruntime_messages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.smile2.util.host_independent_messages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.ws.objectgrid.resources.ObjectGridMessages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.ws.projector.bytecode.resources.ProjectorBytecodeMessages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.ws.projector.resources.ProjectorMessages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.queryengine.core.QueryMessages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.smile.query2mmpl.query2mmpl_messages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.smile.services.og.util.plainruntime_services_messages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.smile.services.util.smile_services_messages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.smile.util.smile_messages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.smile2.runtime.objectgrid.util.smile_plainruntime_messages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.smile2.util.host_independent_messages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.ws.objectgrid.resources.ObjectGridMessages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.ws.projector.bytecode.resources.ProjectorBytecodeMessages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.ws.projector.resources.ProjectorMessages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.queryengine.core.QueryMessages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.smile.query2mmpl.query2mmpl_messages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.smile.services.og.util.plainruntime_services_messages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.smile.services.util.smile_services_messages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.smile.util.smile_messages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.smile2.runtime.objectgrid.util.smile_plainruntime_messages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.smile2.util.host_independent_messages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.ws.objectgrid.resources.ObjectGridMessages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.ws.projector.bytecode.resources.ProjectorBytecodeMessages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.ws.projector.resources.ProjectorMessages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.queryengine.core.QueryMessages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.smile.query2mmpl.query2mmpl_messages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.smile.services.og.util.plainruntime_services_messages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.smile.services.util.smile_services_messages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.smile.util.smile_messages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.smile2.runtime.objectgrid.util.smile_plainruntime_messages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.smile2.util.host_independent_messages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.ws.objectgrid.resources.ObjectGridMessages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.ws.projector.bytecode.resources.ProjectorBytecodeMessages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.ws.projector.resources.ProjectorMessages.xml 
$ConfigRoot/properties/version/objectgrid.impl.component 
$ConfigRoot/properties/cim/InstallPackageXD61DG.xml 
$ConfigRoot/properties/cim/InstallPackageXD61DGMSE.xml 
$ConfigRoot/properties/version/nif/config.xd/install/99ScopyDGCIMDescriptors.ant 
$ConfigRoot/properties/version/xd.admin.cimgr.dg.component 
$ConfigRoot/properties/xdcimgr/InstallPackageXD61DG.xml 
$ConfigRoot/properties/xdcimgr/InstallPackageXD61DGMSE.xml 
$ConfigRoot/bin/og_install.sh 
$ConfigRoot/bin/og_remove.sh 
$ConfigRoot/properties/version/install.data.specific.unix.unspecified.component 
$ConfigRoot/properties/version/WXDDG.product 
$ConfigRoot/properties/version/install.data.specific.component 
$ConfigRoot/properties/version/nif/config.xd/install/98SconfigOG.ant 
$ConfigRoot/properties/version/nif/config.xd/uninstall/98SremoveOG.ant 
$ConfigRoot/properties/version/nif/componentmaps.xd/componentmap.xd.primary.data.xml 
$ConfigRoot/features/com.ibm.ws.xd.dg.base_6.0.0.0/feature.properties 
$ConfigRoot/features/com.ibm.ws.xd.dg.base_6.0.0.0/feature.xml 
$ConfigRoot/profileTemplates/wxddg_augment/actionRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/actions/99SAddProxyDSProvider.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/99SDeleteProxyDSProvider.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/addAgentTransport.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/addAgentTransport.py 
$ConfigRoot/profileTemplates/wxddg_augment/actions/addPoliciesToCoregroup.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/addPoliciesToCoregroup.py 
$ConfigRoot/profileTemplates/wxddg_augment/actions/addXDFeature.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/addXDOrbInitializers.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/addXDOrbInitializers.py 
$ConfigRoot/profileTemplates/wxddg_augment/actions/addXDPMIModules.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/addXDPMIModules.py 
$ConfigRoot/profileTemplates/wxddg_augment/actions/collectNodeMetadata.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/configXDFirstSteps.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/convertCodepageForProfileBatchFiles.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/deleteXDFirstSteps.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/generateBin.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/installXDPortlet.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/installXDPortlet.py 
$ConfigRoot/profileTemplates/wxddg_augment/actions/launchWsAdminListener.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/removeNodeMetadata.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/removePoliciesFromCoregroup.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/removePoliciesFromCoregroup.py 
$ConfigRoot/profileTemplates/wxddg_augment/actions/removeXDFeature.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/removeXDOrbInitializers.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/removeXDOrbInitializers.py 
$ConfigRoot/profileTemplates/wxddg_augment/actions/removeXDPMIModules.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/removeXDPMIModules.py 
$ConfigRoot/profileTemplates/wxddg_augment/actions/removeXDPortlet.py 
$ConfigRoot/profileTemplates/wxddg_augment/actions/scripts/collectNodeMetadata.bat 
$ConfigRoot/profileTemplates/wxddg_augment/actions/scripts/collectNodeMetadata.sh 
$ConfigRoot/profileTemplates/wxddg_augment/actions/scripts/collectNodeMetadata70.bat 
$ConfigRoot/profileTemplates/wxddg_augment/actions/scripts/collectNodeMetadata70.sh 
$ConfigRoot/profileTemplates/wxddg_augment/actions/scripts/removeNodeMetadata.bat 
$ConfigRoot/profileTemplates/wxddg_augment/actions/scripts/removeNodeMetadata.sh 
$ConfigRoot/profileTemplates/wxddg_augment/actions/serverStatusValidator.ijc 
$ConfigRoot/profileTemplates/wxddg_augment/actions/stopFederatedNodeAction.ijc 
$ConfigRoot/profileTemplates/wxddg_augment/actions/stopWsAdminListener.ant 
$ConfigRoot/profileTemplates/wxddg_augment/actions/updateServerPolicy.ant 
$ConfigRoot/profileTemplates/wxddg_augment/cell/default/actionRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/cell/default/deleteRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/cell/default/templateMetadata.xml 
$ConfigRoot/profileTemplates/wxddg_augment/cell/dmgr/actionRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/cell/dmgr/deleteRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/cell/dmgr/templateMetadata.xml 
$ConfigRoot/profileTemplates/wxddg_augment/cell/templateMetadata.xml 
$ConfigRoot/profileTemplates/wxddg_augment/default/actionRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/default/deleteRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/default/templateMetadata.xml 
$ConfigRoot/profileTemplates/wxddg_augment/deleteRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/dmgr/actionRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/dmgr/deleteRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/dmgr/templateMetadata.xml 
$ConfigRoot/profileTemplates/wxddg_augment/lib/wxddg.augment.jar 
$ConfigRoot/profileTemplates/wxddg_augment/managed/actionRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/managed/deleteRegistry.xml 
$ConfigRoot/profileTemplates/wxddg_augment/managed/templateMetadata.xml 
$ConfigRoot/profileTemplates/wxddg_augment/templateMetadata.xml 
$ConfigRoot/profileTemplates/wxddg_augment/wxddg.augment 
$ConfigRoot/properties/version/dg.profile.augment.component 
$ConfigRoot/properties/version/nif/config.xd/install/98SinstallConsoleExt.wxddg.ant 
$ConfigRoot/properties/version/nif/config.xd/install/99SaugmentProfiles.wxddg.ant 
$ConfigRoot/properties/version/nif/config.xd/uninstall/99SRemoveXDPlugins.wxddg.ant 
$ConfigRoot/properties/version/nif/config.xd/uninstall/99SunaugmentProfiles.wxddg.ant 
$ConfigRoot/lib/commons-io.jar 
$ConfigRoot/properties/version/prereq.commons.io.component 
$ConfigRoot/properties/WXD/WXDDG/6.1.0.0/migration/config/actions/1FDummy.ant 
$ConfigRoot/properties/version/xd.dg.migration.component 
$ConfigRoot/properties/version/WXDDG0601.sys2 
$ConfigRoot/properties/version/install.data.was.component 
$ConfigRoot/properties/version/nif/config.xd/install/99SReplacePMTPluginWAS7dg.ant 
$ConfigRoot/properties/version/nif/config.xd/install/copyXDPluginToChutilsLib.wxdxs.ant 
$ConfigRoot/properties/version/nif/config.xd/install/data/actionRegistry.xml 
$ConfigRoot/properties/version/nif/config.xd/uninstall/data/actionRegistry.xml 
$ConfigRoot/lib/XDbasewlm-wpf.jar 
$ConfigRoot/properties/messages/de/com.ibm.ws.wpf.wlm.WpfWLMMessages.xml 
$ConfigRoot/properties/messages/en/com.ibm.ws.wpf.wlm.WpfWLMMessages.xml 
$ConfigRoot/properties/messages/es/com.ibm.ws.wpf.wlm.WpfWLMMessages.xml 
$ConfigRoot/properties/messages/fr/com.ibm.ws.wpf.wlm.WpfWLMMessages.xml 
$ConfigRoot/properties/messages/it/com.ibm.ws.wpf.wlm.WpfWLMMessages.xml 
$ConfigRoot/properties/messages/ja/com.ibm.ws.wpf.wlm.WpfWLMMessages.xml 
$ConfigRoot/properties/messages/ko/com.ibm.ws.wpf.wlm.WpfWLMMessages.xml 
$ConfigRoot/properties/messages/pt_BR/com.ibm.ws.wpf.wlm.WpfWLMMessages.xml 
$ConfigRoot/properties/messages/zh/com.ibm.ws.wpf.wlm.WpfWLMMessages.xml 
$ConfigRoot/properties/messages/zh_TW/com.ibm.ws.wpf.wlm.WpfWLMMessages.xml 
$ConfigRoot/properties/version/wpf.wlm.component"

for file in $AllFilesToUnlink
do
 if [ -L $file ]
   then
     echo "removing the following link: $file"
     rm $file 
   else
     if [ -f $file ]
        then
          echo "removing the following file: $file"
          rm $file 
     else 
        if [ -d $file ]
          then
            echo "removing the following dir: $file"
            rm -rf $file 
          else 
           echo "$file is not a link or a file"
         fi
     fi
 fi
done
 
echo "All files have been succesfully unlink the DataGrid Package"



exit 0 
