#!/bin/sh
#
# ================================================================
# Licensed Material - Property of IBM                                        
# 5655-P28 Copyright IBM Corp. 2006, 2009                               
#                                                                            
# All Rights Reserved.                                                       
#                                                                            
# U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or           
# Disclosure restricted by GSA-ADP schedule contract with IBM Corp.          
#                                                                            
# Status = HEEX611           
# ================================================================
#                                                                            
# relink the service directories for the post installer to run successfully.
# usage: <name>.sh <install hfs location> <configuration hfs location
#
 
if [ -z $1 ]
then
   echo "Syntax: <name>.sh <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi
 
if [ -z $2 ]
then
   echo "Syntax: <name>.sh <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi
 
InstallRoot=$1
ConfigRoot=$2
 
if [ ! -d $InstallRoot ]
then
   echo "$InstallRoot is not a valid directory"
   echo "Syntax: <name>.sh <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi
 
if [ ! -d $ConfigRoot ]
then
   echo "$ConfigRoot is not a valid directory"
   echo "Syntax: <name>.sh <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi
 
if [ ! -w $ConfigRoot ]
then
   echo "$ConfigRoot must be writable"
   echo "Syntax: <name>.sh <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi
 
umask 002
 
# create directory link here for postinstall framework if necessary
if [ -e $ConfigRoot/properties/service/product/WebSphereXD/service ]
then
   mv $ConfigRoot/properties/service/product/WebSphereXD/service $ConfigRoot/properties/service/product/WebSphereXD/service_xdupgrade_backup
   ln -s $InstallRoot/properties/service/product/WebSphereXD/service $ConfigRoot/properties/service/product/WebSphereXD/service
fi

if [ -e $ConfigRoot/properties/service/product/WebSphereXDOP/service ]
then 
  mv $ConfigRoot/properties/service/product/WebSphereXDOP/service $ConfigRoot/properties/service/product/WebSphereXDOP/service_xdupgrade_backup
  ln -s $InstallRoot/properties/service/product/WebSphereXDOP/service $ConfigRoot/properties/service/product/WebSphereXDOP/service
fi

if [ -e $ConfigRoot/properties/service/product/WebSphereXDCG/service ]
then 
  mv $ConfigRoot/properties/service/product/WebSphereXDCG/service $ConfigRoot/properties/service/product/WebSphereXDCG/service_xdupgrade_backup
  ln -s $InstallRoot/properties/service/product/WebSphereXDCG/service $ConfigRoot/properties/service/product/WebSphereXDCG/service
fi

echo "Complete upgrade the service directory links for the Post Installer" 